Bug 827498

Summary: preupgrade fails to use yum proxy information
Product: [Fedora] Fedora Reporter: Todd Jackson <toddj1>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 10CC: hughsient, kevin_redhat, ribenakid, vytautas1987, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 507552 Environment:
Last Closed: 2012-06-01 14:01:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Todd Jackson 2012-06-01 11:49:52 EDT
+++ This bug was initially created as a clone of Bug #507552 +++

Description of problem:
When preupgrade is run from the desktop prompt it fails to find repository information because it is not using the configured HTTP proxy information.

Version-Release number of selected component (if applicable):
1.1.0-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. When pop-up for upgrade appears select "more information".
2. Preupgrade window appears with immediate error dialogue box.
  
Actual results:
Get error and have to quit upgrade process.

Expected results:
Should retrieve repository information via HTTP for available upgrades. Should get proxy information from /etc/yum.conf

Additional info:
Running from command line and setting http_proxy environment variable allows preupgrade to work. e.g. http_proxy="http://my-cache:8080/" /usr/bin/preupgrade

--- Additional comment from triage@lists.fedoraproject.org on 2009-11-18 07:07:09 EST ---


This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from triage@lists.fedoraproject.org on 2009-12-18 04:34:52 EST ---


Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from kevin_redhat@sylandro.com on 2010-10-26 18:58:58 EDT ---

This bug still exists in the Fedora 12 version of preupgrade.

--- Additional comment from vytautas1987@yahoo.com on 2011-06-22 05:05:06 EDT ---

This bug still exists in the Fedora 14 version of preupgrade.

--- Additional comment from jamoore2@hotmail.com on 2012-05-30 17:07:27 EDT ---

This bug still exists in the Fedora 16 version of preupgrade.
Comment 1 Todd Jackson 2012-06-01 11:55:35 EDT
I find that this issue still exists preupgrading from F16 to F17. The workaround of setting http_proxy environment variable on the command line suggested by the original creator of bug 507552 does allow upgrade from behind a proxy.  Normal yum commands do work in my environment and the http_proxy is honored for command line yum as well as by the Apper update tool, only preupgrade seems to ignore all of that.
This was observed using preupgrade-1.1.10-1.fc16.noarch
Comment 2 rambler8 2012-06-01 13:36:19 EDT
This bug was created for fedora version 10 which has reached EOL and probably won't get any attention. Please see Bug 827169 which is for fedora version 16.

To work around the issue going from fedora 16 -> 17 set both the http_proxy and https_proxy variables since the repos now use https
Comment 3 Todd Jackson 2012-06-01 14:01:21 EDT

*** This bug has been marked as a duplicate of bug 827169 ***